package com.ai.da.mapper.secondary;

import com.ai.da.mapper.secondary.entity.AttributeRetrieval;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper 接口
 *
 * @author easy-generator
 * @since 2022-06-13
 */

@Mapper
public interface AttributeRetrievalMapper {


    List<AttributeRetrieval> getSystemSketchPool(@Param("attributeRetrievalAttrDict") AttributeRetrieval attributeRetrievalAttrDict, @Param("tableName") String tableName, @Param("poolNum") int poolNum, @Param("style") String style);

    AttributeRetrieval getSystemRandom(String tableName, String style);

    List<AttributeRetrieval> getSystemSketchPoolBySameCategory(AttributeRetrieval attributeRetrievalAttrDict, String tableName, String style);

    Long getIdByFileName(String fileName, String tableName);

    void updateStyleById(Long idByFileName, String style, String tableName);

    void updateStyleByFileName(String style, String fileName, String tableName);

    String getStyleByUrl(String replace,String tableName);

    Integer getCountByStyle(String tableName, String style);

    String getOneSystemSketchRadom(String tableName, String style, Integer randomNum);

    void insertSketch(AttributeRetrieval attributeRetrievalAttrDict, String tableName);
}
